/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model25
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model25 {
  @SerializedName("registration_type")
  private String registrationType = null;

  @SerializedName("value")
  private String value = null;

  public Model25 registrationType(String registrationType) {
    this.registrationType = registrationType;
    return this;
  }

   /**
   * Type of person registration. Expected values (ID_CARD, PASSPORT, CPF, DRIVER_LICENSE, CUIT, CUIL, CNP)
   * @return registrationType
  **/
  @ApiModelProperty(value = "Type of person registration. Expected values (ID_CARD, PASSPORT, CPF, DRIVER_LICENSE, CUIT, CUIL, CNP)")
  public String getRegistrationType() {
    return registrationType;
  }

  public void setRegistrationType(String registrationType) {
    this.registrationType = registrationType;
  }

  public Model25 value(String value) {
    this.value = value;
    return this;
  }

   /**
   * Value of the registration
   * @return value
  **/
  @ApiModelProperty(required = true, value = "Value of the registration")
  public String getValue() {
    return value;
  }

  public void setValue(String value) {
    this.value = value;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model25 model25 = (Model25) o;
    return Objects.equals(this.registrationType, model25.registrationType) &&
        Objects.equals(this.value, model25.value);
  }

  @Override
  public int hashCode() {
    return Objects.hash(registrationType, value);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model25 {\n");
    
    sb.append("    registrationType: ").append(toIndentedString(registrationType)).append("\n");
    sb.append("    value: ").append(toIndentedString(value)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

